Authentik OAUTH Duplicate Entry Error

Greetings! I’ve been fighting with Authentik and Seafile for a few days now. I can initially get a user created, but the second login attempt is always met with failure due to a duplicate entry. Here is my seahub_setting.py config: (I’ve fiddled with it many times, so I probably have some errors in there)

# OIDC
ENABLE_OAUTH = True
OAUTH_CREATE_UNKNOWN_USER = True
OAUTH_ACTIVATE_USER_AFTER_CREATION = True
OAUTH_ENABLE_INSECURE_TRANSPORT = True
OAUTH_CLIENT_ID = "ID"
OAUTH_CLIENT_SECRET = "SECRET"
OAUTH_REDIRECT_URL = "https://seafile.domain.com/oauth/callback/"
OAUTH_PROVIDER_DOMAIN = 'authentik.domain.com'
OAUTH_AUTHORIZATION_URL = 'https://authentik.domain.com/application/o/authorize/'
OAUTH_TOKEN_URL = 'https://authentik.domain.com/application/o/token/'
OAUTH_USER_INFO_URL = 'https://authentik.domain.com/application/o/userinfo/'
OAUTH_SCOPE = ["openid", "profile", "email"]
OAUTH_ATTRIBUTE_MAP = {
    "email": (False, "contact_email"),
    "name": (False, "name"),
    "sub": (True, "uid"),
}

Logs from seahub.log:

First Login:

[ERROR] seahub.auth.models:139 add (1406, "Data too long for column 'provider' at row 1")

Second Login Attempt:

2024-06-14 13:47:39,807 [ERROR] django.request:241 log_response Internal Server Error: /oauth/callback/
Traceback (most recent call last):
  File "/opt/seafile/seafile-server-11.0.8/seahub/thirdpart/django/db/backends/utils.py", line 89, in _execute
    return self.cursor.execute(sql, params)
  File "/opt/seafile/seafile-server-11.0.8/seahub/thirdpart/django/db/backends/mysql/base.py", line 75, in execute
    return self.cursor.execute(query, args)
  File "/usr/local/lib/python3.10/dist-packages/MySQLdb/cursors.py", line 206, in execute
    res = self._query(query)
  File "/usr/local/lib/python3.10/dist-packages/MySQLdb/cursors.py", line 319, in _query
    db.query(q)
  File "/usr/local/lib/python3.10/dist-packages/MySQLdb/connections.py", line 254, in query
    _mysql.connection.query(self, query)
MySQLdb.IntegrityError: (1062, "Duplicate entry 'USER@DOMAIN.COM' for key 'profile_profile_contact_email_0975e4bf_uniq'")

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/opt/seafile/seafile-server-11.0.8/seahub/thirdpart/django/core/handlers/exception.py", line 55, in inner
    response = get_response(request)
  File "/opt/seafile/seafile-server-11.0.8/seahub/thirdpart/django/core/handlers/base.py", line 197, in _get_response
    response = wrapped_callback(request, *callback_args, **callback_kwargs)
  File "/opt/seafile/seafile-server-11.0.8/seahub/seahub/oauth/views.py", line 88, in _decorated
    return func(request)
  File "/opt/seafile/seafile-server-11.0.8/seahub/seahub/oauth/views.py", line 232, in oauth_callback
    profile.save()
  File "/opt/seafile/seafile-server-11.0.8/seahub/thirdpart/django/db/models/base.py", line 814, in save
    self.save_base(
  File "/opt/seafile/seafile-server-11.0.8/seahub/thirdpart/django/db/models/base.py", line 877, in save_base
    updated = self._save_table(
  File "/opt/seafile/seafile-server-11.0.8/seahub/thirdpart/django/db/models/base.py", line 990, in _save_table
    updated = self._do_update(
  File "/opt/seafile/seafile-server-11.0.8/seahub/thirdpart/django/db/models/base.py", line 1054, in _do_update
    return filtered._update(values) > 0
  File "/opt/seafile/seafile-server-11.0.8/seahub/thirdpart/django/db/models/query.py", line 1231, in _update
    return query.get_compiler(self.db).execute_sql(CURSOR)
  File "/opt/seafile/seafile-server-11.0.8/seahub/thirdpart/django/db/models/sql/compiler.py", line 1984, in execute_sql
    cursor = super().execute_sql(result_type)
  File "/opt/seafile/seafile-server-11.0.8/seahub/thirdpart/django/db/models/sql/compiler.py", line 1562, in execute_sql
    cursor.execute(sql, params)
  File "/opt/seafile/seafile-server-11.0.8/seahub/thirdpart/django/db/backends/utils.py", line 67, in execute
    return self._execute_with_wrappers(
  File "/opt/seafile/seafile-server-11.0.8/seahub/thirdpart/django/db/backends/utils.py", line 80, in _execute_with_wrappers
    return executor(sql, params, many, context)
  File "/opt/seafile/seafile-server-11.0.8/seahub/thirdpart/django/db/backends/utils.py", line 84, in _execute
    with self.db.wrap_database_errors:
  File "/opt/seafile/seafile-server-11.0.8/seahub/thirdpart/django/db/utils.py", line 91, in __exit__
    raise dj_exc_value.with_traceback(traceback) from exc_value
  File "/opt/seafile/seafile-server-11.0.8/seahub/thirdpart/django/db/backends/utils.py", line 89, in _execute
    return self.cursor.execute(sql, params)
  File "/opt/seafile/seafile-server-11.0.8/seahub/thirdpart/django/db/backends/mysql/base.py", line 75, in execute
    return self.cursor.execute(query, args)
  File "/usr/local/lib/python3.10/dist-packages/MySQLdb/cursors.py", line 206, in execute
    res = self._query(query)
  File "/usr/local/lib/python3.10/dist-packages/MySQLdb/cursors.py", line 319, in _query
    db.query(q)
  File "/usr/local/lib/python3.10/dist-packages/MySQLdb/connections.py", line 254, in query
    _mysql.connection.query(self, query)
django.db.utils.IntegrityError: (1062, "Duplicate entry 'USER@DOMAIN.COM' for key 'profile_profile_contact_email_0975e4bf_uniq'")

Is the issue that the data for provider is too long in the initial login attempt? Also I know little about SQL how would I fix that?